System.ServiceModel 4.0.0.0 System.Object

An example of a stream upgrade is to build a compression stream directly on top of the transport stream.

This class is used with and to implement a custom stream upgrade.

For a detailed description of the upgrade process, see .

To implement a custom upgrade acceptor, inherited from this abstract base class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.IO.Stream ``

  This method can be used to wrap the existing transport stream by providing additional capabilities; for example, a compressing stream.

  Upgrades the transport stream and returns the upgraded stream.

  Returns the upgraded stream.

  The stream to be upgraded.
- Method
  4.0.0.0
  System.IAsyncResult `` `` ``

  For more information, see the remarks for .

  Asynchronous version of .

  Returns a result code that is passed into EndAcceptUpgrade to access the upgraded stream.

  The stream to be upgraded. The method to be called when the AcceptUpgrade call has completed. State information for the AcceptUpgrade call.
- Method
  4.0.0.0
  System.Boolean ``

  The developer can inspect the requested content type and determine whether the resulting upgrade can be performed by this upgrade acceptor. This content type comes from the GetNextUpgrade method on the matching upgrade initiator.

  Determines whether the upgrade requested is supported by this upgrade acceptor.

  true if this kind of upgrade is supported; otherwise, false.

  The type of content to be checked.
- Method
  4.0.0.0
  System.IO.Stream ``

  For more information, see the remarks in .

  Asynchronous version of .

  Returns the upgraded stream.

  The IAsyncResult returned from BeginAcceptUpgrade.